# MetaUserLinker

{% hint style="warning" %}
This class was replaced by UserLinker in v6.0.0.
{% endhint %}

This interface is used with [`setMetaUserLinker(MetaUserLinker)`](/important-topics/sdk/api-reference/android/sdkconfig/sdkconfig-builder.md#setmetauserlinker).

Learn more about Meta-Users [here](https://github.com/sentiance/v4-docs/blob/main/sdk/api-reference/android/broken-reference/README.md).

## MetaUserLinker API

|         |                                                                                           |
| ------- | ----------------------------------------------------------------------------------------- |
| boolean | [link](/important-topics/sdk/api-reference/android/userlinker.md#link) (String installId) |

### `link()`

> ```java
> boolean link(String installId)
> ```
>
> This method will be called when your app needs to handle MetaUser linking, normally during the first ever SDK initialization, but also if MetaUsers are enabled afterwards. This method will be executed on a background thread.
>
> Returns `true` only if linking succeeds.

| Parameters |                                                             |
| ---------- | ----------------------------------------------------------- |
| installId  | A unique Sentiance ID representing the current installation |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/metauserlinker.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
